## qemu 2.5%2Bdfsg

=== po/Makefile ===
# This makefile is very special as it's meant to build as part of the build
# process and also within the source tree to update the translation files.

# Set SRC_PATH for in-tree builds without configuration.
SRC_PATH=..

# The default target must come before any include statements.
all:

.PHONY:	all build clean install update

%.mo: %.po
	$(call quiet-command, msgfmt -o $@ $<, "  GEN   $@")

-include ../config-host.mak
include $(SRC_PATH)/rules.mak

PO_PATH=$(SRC_PATH)/po

VERSION=$(shell cat $(SRC_PATH)/VERSION)
SRCS=$(filter-out $(PO_PATH)/messages.po,$(wildcard $(PO_PATH)/*.po))
OBJS=$(patsubst $(PO_PATH)/%.po,%.mo,$(SRCS))

vpath %.po $(PO_PATH)

all:
	@echo "Use 'make update' to update translation files or use 'make build'"
	@echo "or 'make install' to build and install the translation files."

update: $(SRCS)

build: $(OBJS)

clean:
	$(RM) $(OBJS)

install: $(OBJS)
	for obj in $(OBJS); do \
	    base=`basename $$obj .mo`; \
	    $(INSTALL) -d $(DESTDIR)$(prefix)/share/locale/$$base/LC_MESSAGES; \
	    $(INSTALL) -m644 $$obj $(DESTDIR)$(prefix)/share/locale/$$base/LC_MESSAGES/qemu.mo; \
	done

$(PO_PATH)/messages.po: $(SRC_PATH)/ui/gtk.c
	$(call quiet-command, ( cd $(SRC_PATH) && \
          xgettext -o - --from-code=UTF-8 --foreign-user \
	    --package-name=QEMU --package-version=$(VERSION) \
	    --msgid-bugs-address=qemu-devel@nongnu.org -k_ -C ui/gtk.c | \
	  sed -e s/CHARSET/UTF-8/) >$@, "  GEN   $@")

$(PO_PATH)/%.po: $(PO_PATH)/messages.po
	$(call quiet-command, msgmerge -q $@ $< > $@.bak && mv $@.bak $@, "  GEN   $@")

=== pc-bios/optionrom/Makefile ===
all: build-all
# Dummy command so that make thinks it has done something
	@true

include ../../config-host.mak
include $(SRC_PATH)/rules.mak

$(call set-vpath, $(SRC_PATH)/pc-bios/optionrom)

.PHONY : all clean build-all

CFLAGS := -Wall -Wstrict-prototypes -Werror -fomit-frame-pointer -fno-builtin
CFLAGS += -I$(SRC_PATH)
CFLAGS += $(call cc-option, $(CFLAGS), -fno-stack-protector)
CFLAGS += $(CFLAGS_NOPIE)
QEMU_CFLAGS = $(CFLAGS)

build-all: multiboot.bin linuxboot.bin kvmvapic.bin

# suppress auto-removal of intermediate files
.SECONDARY:

%.img: %.o
	$(call quiet-command,$(LD) $(LDFLAGS_NOPIE) -Ttext 0 -e _start -s -o $@ $<,"  Building $(TARGET_DIR)$@")

%.raw: %.img
	$(call quiet-command,$(OBJCOPY) -O binary -j .text $< $@,"  Building $(TARGET_DIR)$@")

%.bin: %.raw
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/signrom.py $< $@,"  Signing $(TARGET_DIR)$@")

clean:
	rm -f *.o *.d *.raw *.img *.bin *~

=== pc-bios/s390-ccw/Makefile ===
all: build-all
# Dummy command so that make thinks it has done something
	@true

include ../../config-host.mak
include $(SRC_PATH)/rules.mak

$(call set-vpath, $(SRC_PATH)/pc-bios/s390-ccw)

.PHONY : all clean build-all

OBJECTS = start.o main.o bootmap.o sclp-ascii.o virtio.o
CFLAGS += -fPIE -fno-stack-protector -ffreestanding -march=z900
CFLAGS += -fno-delete-null-pointer-checks -msoft-float
LDFLAGS += -Wl,-pie -nostdlib

build-all: s390-ccw.img

s390-ccw.elf: $(OBJECTS)
	$(call quiet-command,$(CC) $(LDFLAGS) -o $@ $(OBJECTS),"  Building $(TARGET_DIR)$@")

s390-ccw.img: s390-ccw.elf
	$(call quiet-command,strip --strip-unneeded $< -o $@,"  Stripping $(TARGET_DIR)$@")

$(OBJECTS): Makefile

clean:
	rm -f *.o *.d *.img *.elf *~

=== tests/tcg/Makefile ===
-include ../../config-host.mak
-include $(SRC_PATH)/rules.mak

$(call set-vpath, $(SRC_PATH)/tests/tcg)

QEMU=../../i386-linux-user/qemu-i386
QEMU_X86_64=../../x86_64-linux-user/qemu-x86_64
CC_X86_64=$(CC_I386) -m64

QEMU_INCLUDES += -I../..
CFLAGS=-Wall -O2 -g -fno-strict-aliasing
#CFLAGS+=-msse2
LDFLAGS=

# TODO: automatically detect ARM and MIPS compilers, and run those too

# runcom maps page 0, so it requires root privileges
# also, pi_10.com runs indefinitely

I386_TESTS=hello-i386 \
	   linux-test \
	   testthread \
	   sha1-i386 \
	   test-i386 \
	   test-i386-fprem \
	   test-mmap \
	   # runcom

# native i386 compilers sometimes are not biarch.  assume cross-compilers are
ifneq ($(ARCH),i386)
I386_TESTS+=run-test-x86_64
endif

TESTS = test_path
ifneq ($(call find-in-path, $(CC_I386)),)
TESTS += $(I386_TESTS)
endif

all: $(patsubst %,run-%,$(TESTS))
test: all

# rules to run tests

.PHONY: $(patsubst %,run-%,$(TESTS))

run-%: %
	-$(QEMU) ./$*

run-hello-i386: hello-i386
run-linux-test: linux-test
run-testthread: testthread
run-sha1-i386: sha1-i386

run-test-i386: test-i386
	./test-i386 > test-i386.ref
	-$(QEMU) test-i386 > test-i386.out
	@if diff -u test-i386.ref test-i386.out ; then echo "Auto Test OK"; fi

run-test-i386-fprem: test-i386-fprem
	./test-i386-fprem > test-i386-fprem.ref
	-$(QEMU) test-i386-fprem > test-i386-fprem.out
	@if diff -u test-i386-fprem.ref test-i386-fprem.out ; then echo "Auto Test OK"; fi

run-test-x86_64: test-x86_64
	./test-x86_64 > test-x86_64.ref
	-$(QEMU_X86_64) test-x86_64 > test-x86_64.out
	@if diff -u test-x86_64.ref test-x86_64.out ; then echo "Auto Test OK"; fi

run-test-mmap: test-mmap
	-$(QEMU) ./test-mmap
	-$(QEMU) -p 8192 ./test-mmap 8192
	-$(QEMU) -p 16384 ./test-mmap 16384
	-$(QEMU) -p 32768 ./test-mmap 32768

run-runcom: runcom
	-$(QEMU) ./runcom $(SRC_PATH)/tests/pi_10.com

run-test_path: test_path
	./test_path

# rules to compile tests

test_path: test_path.o

test_path.o: test_path.c

hello-i386: hello-i386.c
	$(CC_I386) -nostdlib $(CFLAGS) -static $(LDFLAGS) -o $@ $<
	strip $@

testthread: testthread.c
	$(CC_I386) $(CFLAGS) $(LDFLAGS) -o $@ $< -lpthread

# i386/x86_64 emulation test (test various opcodes) */
test-i386: test-i386.c test-i386-code16.S test-i386-vm86.S \
           test-i386.h test-i386-shift.h test-i386-muldiv.h
	$(CC_I386) $(QEMU_INCLUDES) $(CFLAGS) $(LDFLAGS) -o $@ \
              $(<D)/test-i386.c $(<D)/test-i386-code16.S $(<D)/test-i386-vm86.S -lm

test-i386-fprem: test-i386-fprem.c
	$(CC_I386) $(QEMU_INCLUDES) $(CFLAGS) $(LDFLAGS) -o $@ $^

test-x86_64: test-i386.c \
           test-i386.h test-i386-shift.h test-i386-muldiv.h
	$(CC_X86_64) $(QEMU_INCLUDES) $(CFLAGS) $(LDFLAGS) -o $@ $(<D)/test-i386.c -lm

# generic Linux and CPU test
linux-test: linux-test.c
	$(CC_I386) $(CFLAGS) $(LDFLAGS) -o $@ $< -lm

# vm86 test
runcom: runcom.c
	$(CC_I386) $(CFLAGS) $(LDFLAGS) -o $@ $<

test-mmap: test-mmap.c
	$(CC_I386) -m32 $(CFLAGS) -Wall -O2 $(LDFLAGS) -o $@ $<

# speed test
sha1-i386: sha1.c
	$(CC_I386) $(CFLAGS) $(LDFLAGS) -o $@ $<

sha1: sha1.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

speed: sha1 sha1-i386
	time ./sha1
	time $(QEMU) ./sha1-i386

# arm test
hello-arm: hello-arm.o
	arm-linux-ld -o $@ $<

hello-arm.o: hello-arm.c
	arm-linux-gcc -Wall -g -O2 -c -o $@ $<

test-arm-iwmmxt: test-arm-iwmmxt.s
	cpp < $< | arm-linux-gnu-gcc -Wall -static -march=iwmmxt -mabi=aapcs -x assembler - -o $@

# MIPS test
hello-mips: hello-mips.c
	mips-linux-gnu-gcc -nostdlib -static -mno-abicalls -fno-PIC -mabi=32 -Wall -Wextra -g -O2 -o $@ $<

hello-mipsel: hello-mips.c
	mipsel-linux-gnu-gcc -nostdlib -static -mno-abicalls -fno-PIC -mabi=32 -Wall -Wextra -g -O2 -o $@ $<

# testsuite for the CRIS port.
test-cris:
	$(MAKE) -C cris check

# testsuite for the LM32 port.
test-lm32:
	$(MAKE) -C lm32 check

clean:
	rm -f *~ *.o test-i386.out test-i386.ref \
           test-x86_64.log test-x86_64.ref qruncom $(TESTS)

=== tests/tcg/openrisc/Makefile ===
-include ../../config-host.mak

CROSS = or32-linux-

SIM = qemu-or32

CC = $(CROSS)gcc

TESTCASES = test_add.tst
TESTCASES += test_sub.tst
TESTCASES += test_addc.tst
TESTCASES += test_addi.tst
TESTCASES += test_addic.tst
TESTCASES += test_and_or.tst
TESTCASES += test_bf.tst
TESTCASES += test_bnf.tst
TESTCASES += test_div.tst
TESTCASES += test_divu.tst
TESTCASES += test_extx.tst
TESTCASES += test_fx.tst
TESTCASES += test_jal.tst
TESTCASES += test_j.tst
TESTCASES += test_lf_div.tst
TESTCASES += test_lf_eqs.tst
TESTCASES += test_lf_ges.tst
TESTCASES += test_lf_gts.tst
TESTCASES += test_lf_les.tst
TESTCASES += test_lf_lts.tst
TESTCASES += test_lf_mul.tst
TESTCASES += test_lf_nes.tst
TESTCASES += test_lf_rem.tst
TESTCASES += test_lf_sub.tst
TESTCASES += test_lf_add.tst
TESTCASES += test_logic.tst
TESTCASES += test_lx.tst
TESTCASES += test_movhi.tst
TESTCASES += test_mul.tst
TESTCASES += test_mulu.tst
TESTCASES += test_muli.tst
TESTCASES += test_sfeq.tst
TESTCASES += test_sfeqi.tst
TESTCASES += test_sfges.tst
TESTCASES += test_sfgesi.tst
TESTCASES += test_sfgeu.tst
TESTCASES += test_sfgeui.tst
TESTCASES += test_sfgts.tst
TESTCASES += test_sfgtsi.tst
TESTCASES += test_sfgtu.tst
TESTCASES += test_sfgtui.tst
TESTCASES += test_sfles.tst
TESTCASES += test_sflesi.tst
TESTCASES += test_sfleu.tst
TESTCASES += test_sfleui.tst
TESTCASES += test_sflts.tst
TESTCASES += test_sfltsi.tst
TESTCASES += test_sfltu.tst
TESTCASES += test_sfltui.tst
TESTCASES += test_sfne.tst
TESTCASES += test_sfnei.tst

all: $(TESTCASES)

%.tst: %.c
	$(CC) -static $< -o $@


check: $(TESTCASES)
	@for case in $(TESTCASES); do $(SIM) $$case; echo $$case pass!; sleep 0.2; done

clean:
	$(RM) -rf $(TESTCASES)

=== debian/control ===
Source: qemu
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>,
	Riku Voipio <riku.voipio@iki.fi>,
	Vagrant Cascadian <vagrant@debian.org>,
	Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9),
# In comments below we also specify (system-specific) arguments
# to qemu's configure script, -- optional features which depend
# on build-dependencies.
# pc-bios/*.dts => *.dtb (PPC firmware)
 device-tree-compiler,
 texinfo,
 python:any,
# compiling .dsl files in hw/i386/ instead of using included precompiled .hex
 acpica-tools,
# --enable-linux-aio	linux-*
 libaio-dev [linux-any],
# --audio-drv-list=pa,alsa,sdl,oss	linux-*
# --audio-drv-list=pa,oss,sdl		kfreebsd-*
 libasound2-dev [linux-any],
# for virtfs
# --enable-attr
 libattr1-dev,
# --enable-bluez	linux-*
 libbluetooth-dev [linux-any],
# --enable-brlapi
 libbrlapi-dev,
# --enable-virtfs	linux-*
# needed for virtfs
 libcap-dev [linux-any],
# --enable-cap-ng	linux-*
 libcap-ng-dev [linux-any],
# --enable-curl
 libcurl4-gnutls-dev,
# --enable-fdt
 libfdt-dev,
# --enable-gnutls
 gnutls-dev,
# gtk ui is almost the same as sdl but adds bloat
# --disable-gtk
## --with-gtkabi=2.0
# libgtk2.0-dev, libvte-dev (>> 0.18.0~),
# vte is used together with gtk
# --disable-vte
# --enable-libiscsi
 libiscsi-dev (>> 1.9.0~),
# --enable-curses
 libncurses5-dev,
# --enable-numa i386|amd64|ia64|mips|mipsel|powerpc|powerpcspe|x32|ppc64|ppc64el|arm64|sparc|hppa
 libnuma-dev [i386 amd64 ia64 mips mipsel powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc hppa],
# --enable-smartcard
 libcacard-dev,
# --with-system-pixman
 libpixman-1-dev,
# audio-drv-list += pa
 libpulse-dev,
# --enable-rbd		linux-*
 librados-dev [linux-any], librbd-dev [linux-any],
# --enable-vnc-sasl
 libsasl2-dev,
# note: libsdl2-dev is in universe on ubuntu
# --enable-sdl --with-sdlabi=1.2
 libsdl1.2-dev (>> 1.2.1),
# --enable-seccomp      linux-amd64|linux-i386
 libseccomp-dev (>> 2.1.0) [linux-amd64 linux-i386],
# --enable-spice	linux-amd64|linux-i386
 libspice-server-dev (>= 0.12.2~) [linux-amd64 linux-i386],
 libspice-protocol-dev (>= 0.12.3~) [linux-amd64 linux-i386],
# --enable-libusb	linux-*
 libusb-1.0-0-dev (>= 2:1.0.13~) [linux-any],
# --enable-usb-redir	linux-*
 libusbredirparser-dev (>= 0.6~) [linux-any],
# libssh2 is debian-only since ubuntu/libssh2 is in universe
# vde is debian-only since ubuntu/vde2 is in universe
# needed for sdl
 libx11-dev,
# --enable-xen	linux-amd64|linux-i386
 libxen-dev [linux-amd64 linux-i386],
# XXX need to check minimum linux-headers requiriment
 linux-libc-dev (>= 2.6.34) [linux-any],
# on ubuntu, gcc is built with --enable-default-pie on s390x only
# --enable-pie	s390x
# --enable-uuid
 uuid-dev,
# --enable-xfsctl	linux-*
 xfslibs-dev [linux-any],
# always needed
 zlib1g-dev,
# other optional features we enable
# --enable-vnc
# --enable-vnc-jpeg
 libjpeg-dev,
# --enable-vnc-png
 libpng-dev,
# --enable-kvm		linux-*
# --enable-vhost-net	linux-*	# is it really linux-specific?
##--enable-glusterfs todo
##--enable-lzo todo
##--enable-libnfs todo
##:debian: libnfs-dev (>> 1.9.4)
##--enable-netmap todo bsd
##--enable-quorum todo needs gcrypt
##--enable-xen-pci-passthrough todo
Build-Conflicts: oss4-dev
Standards-Version: 3.9.6
Homepage: http://www.qemu.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/qemu.git;a=shortlog;h=refs/heads/ubuntu-dev
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/qemu.git
Vcs-Git: git://anonscm.debian.org/pkg-qemu/qemu.git -b ubuntu-dev
XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-qemu/qemu.git

Package: qemu
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
Suggests: qemu-user-static [linux-any]
Description: fast processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs. QEMU has
 two operating modes:
 .
  * User mode emulation: QEMU can launch Linux processes compiled for
    one CPU on another CPU.
  * Full system emulation: QEMU emulates a full system, including a
    processor and various peripherals. It enables easier testing and
    debugging of system code. It can also be used to provide virtual
    hosting of several virtual machines on a single server.
 .
 As QEMU requires no host kernel patches to run, it is very safe and
 easy to use.
 .
 This package is a metapackage depending on all qemu-related packages.

Package: qemu-system
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Depends: ${misc:Depends},
 qemu-system-arm,
 qemu-system-mips,
 qemu-system-ppc, 
 qemu-system-sparc, 
 qemu-system-x86,
 qemu-system-s390x [s390x],
 qemu-system-misc
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This metapackage provides the full system emulation binaries for all supported
 targets, by depending on all per-architecture system emulation packages which
 QEMU supports.

Package: qemu-block-extra
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64 x32
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Enhances: qemu-utils, qemu-system-misc,
 qemu-system-arm, qemu-system-mips, qemu-system-sparc, qemu-system-x86
Description: extra block backend modules for qemu-system and qemu-utils
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides extra block device backend modules for qemu-system
 emulation and qemu-img from qemu-utils package, which are rarely used and
 has extra dependencies.

Package: qemu-system-common
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Pre-Depends: adduser
Provides: qemu-keymaps
Depends: ${misc:Depends}, ${shlibs:Depends},
 qemu-block-extra (= ${binary:Version}),
# to fix wrong acl for newly created device node on ubuntu:
 acl
Breaks:
 qemu-common,
# qemu-system before qemu-system-split
  qemu-system (<< 1.3.0+dfsg-5),
# init scripts were moved
 qemu-system-x86 (<< 1:2.5+dfsg-1ubuntu2),
 qemu-system-ppc (<< 1:2.5+dfsg-1ubuntu2),
# qemu-utils had virtfs-proxy-helper
  qemu-utils (<< 1.3.0+dfsg-4),
# we swallowed qemu-keymaps in 2.0.0+dfsg-7
  qemu-keymaps,
# iproute before 20110315 were unable to deal with bridge (set master device)
  iproute (<< 20110315-1)
Replaces:
 qemu (<< 1.3.0+dfsg-5),
 qemu-common,
  qemu-system (<< 1.3.0+dfsg-5),
# init scripts were moved
 qemu-system-x86 (<< 1:2.5+dfsg-1ubuntu2),
 qemu-system-ppc (<< 1:2.5+dfsg-1ubuntu2),
  qemu-utils (<< 1.3.0+dfsg-4),
  qemu-keymaps,
Description: QEMU full system emulation binaries (common files)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides common files needed for target-specific
 full system emulation (qemu-system-*) packages.

Package: qemu-system-misc
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7~)
Recommends: qemu-utils,
# alpha uses vgabios
# alpha m68k sh4 uses bootroms
 seabios, ipxe-qemu (>= 1.0.0+git-20131111.c3d1e78-1~)
Suggests: samba, vde2, qemu-block-extra (= ${binary:Version}),
Provides: ${sysprovides:misc}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
Description: QEMU full system emulation binaries (miscelaneous)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, M68k (ColdFire), MicroBlaze, and SH4
 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 various other hardware which did not made into separate packages.
 Emulators for the following architectures are provided:
  ${sysarch:misc}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-arm
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7~)
Recommends: qemu-utils,
# aarch64 arm uses bootroms
 ipxe-qemu (>= 1.0.0+git-20131111.c3d1e78-1~)
Suggests: samba, vde2, qemu-block-extra (= ${binary:Version}),
Provides: ${sysprovides:arm}
Breaks: qemu-system (<< 1.3.0+dfsg-5),
 qemu-common (<< 1.3.0+dfsg-5),
 qemu-kvm (<< 1.2.0.dfsg-1),
 kvm (<< 1.3.0+dfsg-5),
 qemu-system-aarch64 (<< 2.0.0~rc1+dfsg-0ubuntu1),
Replaces: qemu-system (<< 1.3.0+dfsg-5),
 qemu-common (<< 1.3.0+dfsg-5),
 qemu-kvm (<< 1.2.0.dfsg-1),
 kvm (<< 1.3.0+dfsg-5),
 qemu-system-aarch64 (<< 2.0.0~rc1+dfsg-0ubuntu1),
Description: QEMU full system emulation binaries (arm)
 QEMU is a fast processor emulator: currently the package supports
 ARM emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 the following arm hardware: ${sysarch:arm}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-mips
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7~)
Recommends: qemu-utils,
# all mips targets uses vgabios and bootroms
 seabios, ipxe-qemu (>= 1.0.0+git-20131111.c3d1e78-1~)
Suggests: samba, vde2, qemu-block-extra (= ${binary:Version}),
Provides: ${sysprovides:mips}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
Description: QEMU full system emulation binaries (mips)
 QEMU is a fast processor emulator: currently the package supports
 MIPS emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 the following mips hardware: ${sysarch:mips}.
 .
